Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.lcm
Interface RelocateObjectsRequestType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryRequestType

All Known Implementing Classes:
  RelocateObjectsRequestTypeImpl

    public interface RelocateObjectsRequestType

extends RegistryRequestType

A representation of the model object 'Relocate Objects Request Type'.

The following features are supported:

- `Adhoc Query`
- `Source Registry`
- `Destination Registry`
- `Owner At Source`
- `Owner At Destination`

See Also:
  `LCMPackage.getRelocateObjectsRequestType()`

Method Summary
`AdhocQueryType` | `getAdhocQuery()` Returns the value of the 'Adhoc Query' containment reference.
`ObjectRefType` | `getDestinationRegistry()` Returns the value of the 'Destination Registry' containment reference.
`ObjectRefType` | `getOwnerAtDestination()` Returns the value of the 'Owner At Destination' containment reference.
`ObjectRefType` | `getOwnerAtSource()` Returns the value of the 'Owner At Source' containment reference.
`ObjectRefType` | `getSourceRegistry()` Returns the value of the 'Source Registry' containment reference.
`void` | `setAdhocQuery(AdhocQueryType value)` Sets the value of the '`Adhoc Query`' containment reference.
`void` | `setDestinationRegistry(ObjectRefType value)` Sets the value of the '`Destination Registry`' containment reference.
`void` | `setOwnerAtDestination(ObjectRefType value)` Sets the value of the '`Owner At Destination`' containment reference.
`void` | `setOwnerAtSource(ObjectRefType value)` Sets the value of the '`Owner At Source`' containment reference.
`void` | `setSourceRegistry(ObjectRefType value)` Sets the value of the '`Source Registry`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rs.RegistryRequestType
`getComment, getId, getRequestSlotList, setComment, setId, setRequestSlotList`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAdhocQuery

    AdhocQueryType getAdhocQuery()

  Returns the value of the 'Adhoc Query' containment reference.

  If the meaning of the 'Adhoc Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Adhoc Query' containment reference.
  See Also:
    `setAdhocQuery(AdhocQueryType)`, `LCMPackage.getRelocateObjectsRequestType_AdhocQuery()`

### setAdhocQuery

    void setAdhocQuery(AdhocQueryType value)

  Sets the value of the '`Adhoc Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Adhoc Query' containment reference.
  See Also:
    `getAdhocQuery()`

### getSourceRegistry

    ObjectRefType getSourceRegistry()

  Returns the value of the 'Source Registry' containment reference.

  If the meaning of the 'Source Registry' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source Registry' containment reference.
  See Also:
    `setSourceRegistry(ObjectRefType)`, `LCMPackage.getRelocateObjectsRequestType_SourceRegistry()`

### setSourceRegistry

    void setSourceRegistry(ObjectRefType value)

  Sets the value of the '`Source Registry`' containment reference.

  Parameters:
    `value` - the new value of the 'Source Registry' containment reference.
  See Also:
    `getSourceRegistry()`

### getDestinationRegistry

    ObjectRefType getDestinationRegistry()

  Returns the value of the 'Destination Registry' containment reference.

  If the meaning of the 'Destination Registry' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Destination Registry' containment reference.
  See Also:
    `setDestinationRegistry(ObjectRefType)`, `LCMPackage.getRelocateObjectsRequestType_DestinationRegistry()`

### setDestinationRegistry

    void setDestinationRegistry(ObjectRefType value)

  Sets the value of the '`Destination Registry`' containment reference.

  Parameters:
    `value` - the new value of the 'Destination Registry' containment reference.
  See Also:
    `getDestinationRegistry()`

### getOwnerAtSource

    ObjectRefType getOwnerAtSource()

  Returns the value of the 'Owner At Source' containment reference.

  If the meaning of the 'Owner At Source' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owner At Source' containment reference.
  See Also:
    `setOwnerAtSource(ObjectRefType)`, `LCMPackage.getRelocateObjectsRequestType_OwnerAtSource()`

### setOwnerAtSource

    void setOwnerAtSource(ObjectRefType value)

  Sets the value of the '`Owner At Source`' containment reference.

  Parameters:
    `value` - the new value of the 'Owner At Source' containment reference.
  See Also:
    `getOwnerAtSource()`

### getOwnerAtDestination

    ObjectRefType getOwnerAtDestination()

  Returns the value of the 'Owner At Destination' containment reference.

  If the meaning of the 'Owner At Destination' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owner At Destination' containment reference.
  See Also:
    `setOwnerAtDestination(ObjectRefType)`, `LCMPackage.getRelocateObjectsRequestType_OwnerAtDestination()`

### setOwnerAtDestination

    void setOwnerAtDestination(ObjectRefType value)

  Sets the value of the '`Owner At Destination`' containment reference.

  Parameters:
    `value` - the new value of the 'Owner At Destination' containment reference.
  See Also:
    `getOwnerAtDestination()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD